package eventmodels

// 任务完成事件
type TaskFinishEventContent struct {
	UserBasic
	EventBasic
	TaskId        string `json:"task_id"`        // 任务id
	TaskName      string `json:"task_name"`      // 任务名称
	TaskCondition string `json:"task_condition"` // 任务条件
	TaskType      string `json:"task_type"`      // 任务类型
}

func (e *TaskFinishEventContent) EventName() string {
	return "TaskFinish"
}
