package main

import (
	"github.com/bxcodec/faker/v3"
	"github.com/mhaya/game/game_cluster/internal/mdb/eventmodels"
)

func getTaskFakeData(users []*eventmodels.UserBasic) []*eventmodels.TaskFinishEventContent {
	datas := make([]*eventmodels.TaskFinishEventContent, 0, 8)

	for i := 0; i < count; i++ {
		userBasic := getUserBasic(users)
		eventBasic := getEventBasic()

		datas = append(datas, &eventmodels.TaskFinishEventContent{
			UserBasic:     *userBasic,
			EventBasic:    *eventBasic,
			TaskId:        faker.TimeString(),
			TaskCondition: faker.AmountWithCurrency(),
			TaskType:      faker.Name(),
			TaskName:      faker.Name(),
		})
	}

	return datas
}
